import { cg as o } from "./index2.js";
function s(t, n) {
  const e = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `/${e}/position/page?${o.stringify(n)}`,
    data: t
  });
}
function l(t) {
  const n = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `/${n}/position/deleteById?id=${t}`
  });
}
function r(t) {
  const n = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `/${n}/position/deleteByIds`,
    data: t
  });
}
function p() {
  const t = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    responseType: "blob",
    url: `/${t}/position/exportExcelTemplate`
  });
}
function u(t) {
  const n = window.$utils.env.VITE_APP_SYS_SERVER_NAME, e = new FormData();
  return e.append("file", t), window.$utils.http({
    url: `/${n}/position/importExcel`,
    data: e,
    headers: {
      "Content-Type": "multipart/form-data"
    }
  });
}
function E(t) {
  const n = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    responseType: "blob",
    url: `/${n}/position/exportExcel`,
    data: t
  });
}
export {
  r as a,
  p as b,
  l as d,
  E as e,
  u as i,
  s as p
};
